DCMTK: DiCMYKPixelTemplate< T1, T2 > Class Template Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | List of all members
DiCMYKPixelTemplate< T1, T2 > Class Template Reference

Template class to handle CMYK pixel data. More...

Inheritance diagram for DiCMYKPixelTemplate< T1, T2 >:

## Public Member Functions
| DiCMYKPixelTemplate (const DiDocument *docu, const DiInputPixel *pixel, EI_Status &status, const unsigned long planeSize, const int bits)
| constructor
virtual | ~DiCMYKPixelTemplate ()
| destructor
Public Member Functions inherited from DiColorPixelTemplate< T2 >
| DiColorPixelTemplate (const DiDocument *docu, const DiInputPixel *pixel, const Uint16 samples, EI_Status &status, const Uint16 sample_rate=0)
| constructor
virtual | ~DiColorPixelTemplate ()
| destructor
EP_Representation | getRepresentation () const
| get integer representation
const void * | getData () const
| get pointer to internal array of pixel data.
void * | getDataPtr ()
| get pointer to internal array of pixel data.
void * | getDataArrayPtr ()
| get pointer to internal array of pixel data.
OFBool | getPixelData (void *data, const unsigned long count, const unsigned long fcount, const unsigned long frames, const int planar) const
| fill given memory block with pixel data (all three image planes, RGB)
unsigned long | createDIB (void *&data, const unsigned long size, const Uint16 width, const Uint16 height, const unsigned long frame, const int fromBits, const int toBits, const int mode, const int upsideDown, const int padding) const
| create true color (24/32 bit) bitmap for MS Windows.
unsigned long | createAWTBitmap (void *&data, const Uint16 width, const Uint16 height, const unsigned long frame, const int fromBits, const int toBits) const
| create true color (32 bit) bitmap for Java (AWT default format).
Public Member Functions inherited from DiColorPixel
| DiColorPixel (const DiDocument *docu, const DiInputPixel *pixel, const Uint16 samples, EI_Status &status, const Uint16 sample_rate=0)
| constructor
virtual | ~DiColorPixel ()
| destructor
int | getPlanes () const
| get number of planes
int | getPlanarConfiguration () const
| get planar configuration of the original pixel data
Public Member Functions inherited from DiPixel
| DiPixel (const unsigned long count, const unsigned long inputCount=0)
| constructor
virtual | ~DiPixel ()
| destructor
unsigned long | getCount () const
| get number of pixels
unsigned long | getInputCount () const
| get number of pixels stored in the 'PixelData' element
Public Member Functions inherited from DiPixelRepresentationTemplate< T2 >
| DiPixelRepresentationTemplate ()
| default constructor
virtual | ~DiPixelRepresentationTemplate ()
| destructor

## Private Member Functions
void | convert (const T1 *pixel, const unsigned long planeSize, const int bits)
| convert input pixel data to intermediate representation

## Additional Inherited Members
Protected Member Functions inherited from DiColorPixelTemplate< T2 >
int | Init (const void *pixel)
| initialize internal memory
Protected Member Functions inherited from DiColorPixel
| DiColorPixel (const DiColorPixel *pixel, const unsigned long count)
| constructor
Protected Attributes inherited from DiColorPixelTemplate< T2 >
T2 * | Data [3]
| pointer to pixel data (3 components)
Protected Attributes inherited from DiColorPixel
int | PlanarConfiguration
| planar configuration of the original pixel data (0 = color-by-pixel, 1 = color-by-plane)
Protected Attributes inherited from DiPixel
unsigned long | Count
| number of pixels
unsigned long | InputCount
| number of pixels in the input buffer

## Detailed Description

template<class T1, class T2>
class DiCMYKPixelTemplate< T1, T2 >

Template class to handle CMYK pixel data.

## Constructor & Destructor Documentation

## ◆ DiCMYKPixelTemplate()

template<class T1, class T2>

DiCMYKPixelTemplate< T1, T2 >::DiCMYKPixelTemplate | ( | const DiDocument * | docu,
|  | const DiInputPixel * | pixel,
|  | EI_Status & | status,
|  | const unsigned long | planeSize,
|  | const int | bits )
| inline

constructor

Parameters

  docu | pointer to DICOM document
  pixel | pointer to input pixel representation
  status | reference to status variable
  planeSize | number of pixels in a plane
  bits | number of bits per sample

References DiColorPixelTemplate< T2 >::DiColorPixelTemplate(), convert(), DiPixel::Count, EIS_Normal, DiInputPixel::getData(), and DiInputPixel::getPixelStart().

## Member Function Documentation

## ◆ convert()

template<class T1, class T2>

void DiCMYKPixelTemplate< T1, T2 >::convert | ( | const T1 * | pixel,
|  | const unsigned long | planeSize,
|  | const int | bits )
| inlineprivate

convert input pixel data to intermediate representation

Parameters

  pixel | pointer to input pixel data
  planeSize | number of pixels in a plane
  bits | number of bits per sample

References DiPixel::Count, DiColorPixelTemplate< T2 >::Data, DiColorPixelTemplate< T2 >::Init(), DiPixel::InputCount, DicomImageClass::maxval(), and DiColorPixel::PlanarConfiguration.

Referenced by DiCMYKPixelTemplate().

The documentation for this class was generated from the following file:

- dcmimage/include/dcmtk/dcmimage/dicmypxt.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1